/*************************************************************************/
/*                                                                       */
/*    These are prototypes of the external function of sotid package.    */
/*                                                                       */
/*                                                                       */
/*************************************************************************/

#ifdef UNDESCORE_NEEDED
   #define SOTID_SET sotid_set_
   #define SOTID_INQ sotid_inq_
   #define SOTID_PRE sotid_pre_
   #define SOTID_TIM sotid_tim_
   #define SOTID_DSP sotid_dsp_
#else
   #define SOTID_SET sotid_set 
   #define SOTID_INQ sotid_inq 
   #define SOTID_PRE sotid_pre 
   #define SOTID_TIM sotid_tim 
   #define SOTID_DSP sotid_dsp
#endif

extern SOTID_SET ( long *GEN_LOVE, long *MODEL_2D, long *ORDER_2D, 
                   long *ZERO_FREQ_LOVE, long *MODEL_3D, 
                   struct TIDCNF__STRU *TIDCNF, long *IUER ) ;

extern long SOTID_INQ ( long *PAR, struct TIDCNF__STRU *TIDCNF, 
                        char (*str)[], long *IS, long *IUER, 
                        int SIZE_OF_STR ) ;

extern SOTID_PRE ( long *L_STA, char (*C_STA)[][SOTID__NAM_LEN],  
                   double (*R_STA)[][3], struct TIDCNF__STRU *TIDCNF,
                   struct STATID__STRU (*STATID)[],
                   long *IUER, int SIZE_OF_STR ) ; 

extern SOTID_TIM ( long *MJD, double *TAI, double *UT1_M_TAI, 
                   struct TIDCNF__STRU *TIDCNF,
                   struct TIMTID__STRU *TIMTID, long *IUER ) ;

extern SOTID_DSP ( struct TIDCNF__STRU *TIDCNF,
                   struct TIMTID__STRU *TIMTID, 
                   struct STATID__STRU *STATID, double (*D_REN)[3] ) ;
