/*
! >> include-block for estimation of the displacements due to
! >> the EArth's solid tides.
! >>
! >> L. Petrov  22-JAN-2001        16-JUL-2002 14:10:05
!
!
! --- Constants used by SOTID
!
*/
#define SOTID__MAX_STA 1024
#define SOTID__NAM_LEN 8
#define SOTID__NLOVE   9
/* -- */
      struct STATID__STRU
      {
         double PHI_GCN;
         double LONGITUDE;
         double REN__CFS[3][3];
         double XRC2[5][3][3];
         double XRS2[5][3][3];
         double XIC2[2][3][3];
         double XIS2[2][3][3];
         double XRC3[3][4];
         double XRS3[3][4];
         char   NAME[SOTID__NAM_LEN];
      }l;
/* -- */
      struct TIMTID__STRU
      {
         double     LARC2[5][3][3];
         double     LARS2[5][3][3];
         double     LAIC2[2][3][3];
         double     LAIS2[2][3][3];
         double     LARC3[3][4];
         double     LARS3[3][4];
      };
/* -- */
      struct TIDCNF__STRU
      {
         long MODEL_2D;
         long MODEL_3D;
         long GEN_LOVE;
         long ORDER_2D;
         long ZF_LOVE;
         long N_STA;
      }
/*
!
!
! << end of include block sotid_type.i
!
*/
